Subject: Re: bug#21731: 24.5; Bug with `transient-mark-mode' wrt `cua-mode'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Oct 2015 17:51:51 +0300

> From: Eli Barzilay <[email-masked]>
> Date: Thu, 22 Oct 2015 01:22:04 -0400
> 
> This is a bug that I ran into with 24.5.1:
> 
> * Run emacs -Q
> 
> * Use shifted arrow keys to make some transient selection (on by
>   default, so no need to do any customizations).
> 
> * Use C-x b to switch to another buffer
> 
> * Use unshifted arrows to move in this buffer
> 
> * C-x b back into the first buffer
> 
> * Now unshifted arrow movements continue to change the selection, as
>   if it was made with C-SPC

Thanks, this is already fixed in the development sources (I did
reproduce the problem in stock Emacs 24.5).  I guess it was fixed when
the implementation of transient-mark-mode and the region was
rewritten.